"""Logging utilities for structured and context-aware logging.

This package provides classes and functions to facilitate structured logging,
context management, and custom formatting for logging purposes. It includes utilities
for defining allowed logging contexts, adapting loggers to include context information,
formatting log messages, and producing JSON-formatted log output.
"""

from .allowed_context import AllowedContext
from .context_logger_adapter import ContextLoggerAdapter
from .fmt import Fmt

__all__ = ["AllowedContext", "ContextLoggerAdapter", "Fmt"]
